%global __cmake_in_source_build 1
%global libname libtidy
%global upname tidy-html5
%global tidy_compat_headers 1

Name:    tidy
Summary: Utility to clean up and pretty print HTML/XHTML/XML
Version: 5.8.0
Release:    1%{?dist}

License: W3C
URL:     http://www.html-tidy.org/
Source0: https://github.com/htacg/%{upname}/archive/%{version}.tar.gz#/%{upname}-%{version}.tar.gz


BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: libxslt
BuildRequires: pkgconfig

Provides: tidy-html5 = %{version}-%{release}

Requires: %{libname} = %{version}-%{release}

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if
there was a simple way to fix these mistakes automatically and tidy up
sloppy editing into nicely laid out markup? Well now there is! Dave
Raggett's HTML TIDY is a free utility for doing just that. It also
works great on the atrociously hard to read markup generated by
specialized HTML editors and conversion tools, and can help you
identify where you need to pay further attention on making your pages
more accessible to people with disabilities.

%package -n %{libname}
Summary: Runtime library for %{name}
%description -n %{libname}
%{summary}.

%package -n %{libname}-devel
Summary: Development files for %{name}
Provides:  tidy-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
%description -n %{libname}-devel
%{summary}.


%prep
%autosetup -n %{upname}-%{version} -p1

ln -s tidy build/cmake/tidy5

%build
pushd build/cmake
%cmake ../../ \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DTIDY_CONSOLE_SHARED:BOOL=ON \
  %{?tidy_compat_headers:-DTIDY_COMPAT_HEADERS:BOOL=ON}
popd

%make_build -C build/cmake


%install
make install/fast DESTDIR=%{buildroot}  -C build/cmake

rm -fv %{buildroot}%{_libdir}/libtidy.a


%files
%{_bindir}/tidy
%{_mandir}/man1/tidy.1*


%files -n %{libname}
%license README/LICENSE.md
%{_libdir}/libtidy.so.5*

%files -n %{libname}-devel
%{_includedir}/tidy*.h
%if 0%{?tidy_compat_headers}
%{_includedir}/buffio.h
%{_includedir}/platform.h
%endif
%{_libdir}/libtidy.so
%{_libdir}/pkgconfig/tidy.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.8.0-1
- initial build
